#include "Parsodus/lrtables/LR0Item.h"

namespace pds {
namespace lr {

bool LR0Item::operator<(const LR0Item& rhs) const {
    if (dotIdx != rhs.dotIdx) {
        return dotIdx < rhs.dotIdx;
    } else {
        return rule < rhs.rule;
    }
}

bool LR0Item::operator==(const LR0Item& rhs) const {
    return dotIdx == rhs.dotIdx && rule == rhs.rule;
}
        
} /* lr */ 
} /* pds  */ 
